{ config, lib, pkgs, user, ... }:

{
  programs.zsh = {
    enable = true;
    enableSyntaxHighlighting = true;
    history.size = 10000;

    shellAliases = {
      ls = "exa --group-directories-first --git";
    };

    oh-my-zsh = {
      enable = true;
      plugins = [
        "direnv"
        "vi-mode"
      ];
    };
  };
}
